Bug 49325 - x_pubkey.c:366: Internal error: Segmentation fault.
Summary: x_pubkey.c:366: Internal error: Segmentation fault.
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-18 00:29 UTC by Elizabeth
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-09 12:52:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Elizabeth 2001-07-18 00:29:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
Compiling openssl-0.9.6b for linux-elf results in segmentation fault:
x_pubkey.c: In function `d2i_DSA_PUBKEY':
x_pubkey.c:366: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

How reproducible:
Always

Steps to Reproduce:
1. Obtain openssl-0.9.6b.tar.gz from www.oopenssl.org
2. unzip and un-tar the file
3. ./config (for linux-elf by default)
4. make

	

Actual Results:  x_pubkey.c: In function `d2i_DSA_PUBKEY':
x_pubkey.c:366: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:  No error.

Additional info:

Also got a seg fault with openssl-0.9.6a, although it was at a different 
point.

Comment 1 Nalin Dahyabhai 2001-08-08 20:05:17 UTC
Which version of gcc are you seeing this with (gcc -v)?  I don't see this with
my currently-installed version (2.96-95), nor when I back down to the 2.96-85
errata packages.

Comment 2 Elizabeth 2001-08-12 23:27:12 UTC
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1.2.96-81)

Comment 3 Joe Orton 2003-04-09 12:52:34 UTC
This was seen by a few people when using old 7.x gcc, but went away with the
latest gcc errata there.


Note You need to log in before you can comment on or make changes to this bug.